# bsport-access-control-client
One Ring to rule them all, One ring to find them; One ring to integrate them all and in a short time, generate a lot of money 🤑.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Generator version: 7.12.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import bsport_access_control_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import bsport_access_control_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import bsport_access_control_client
from bsport_access_control_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = bsport_access_control_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with bsport_access_control_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = bsport_access_control_client.AuthApi(api_client)
    token_obtain_pair = bsport_access_control_client.TokenObtainPair() # TokenObtainPair | 

    try:
        api_response = api_instance.auth_token_create(token_obtain_pair)
        print("The response of AuthApi->auth_token_create:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthApi->auth_token_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**auth_token_create**](docs/AuthApi.md#auth_token_create) | **POST** /access-control/auth/token/ | 
*AuthApi* | [**auth_token_refresh_create**](docs/AuthApi.md#auth_token_refresh_create) | **POST** /access-control/auth/token/refresh/ | 
*AuthApi* | [**auth_token_verify_create**](docs/AuthApi.md#auth_token_verify_create) | **POST** /access-control/auth/token/verify/ | 
*PlaceApi* | [**place_create**](docs/PlaceApi.md#place_create) | **POST** /access-control/place/ | 
*PlaceApi* | [**place_destroy**](docs/PlaceApi.md#place_destroy) | **DELETE** /access-control/place/{id}/ | 
*PlaceApi* | [**place_list**](docs/PlaceApi.md#place_list) | **GET** /access-control/place/ | 
*PlaceApi* | [**place_partial_update**](docs/PlaceApi.md#place_partial_update) | **PATCH** /access-control/place/{id}/ | 
*PlaceApi* | [**place_retrieve**](docs/PlaceApi.md#place_retrieve) | **GET** /access-control/place/{id}/ | 
*PlaceRestrictionApi* | [**place_restriction_create**](docs/PlaceRestrictionApi.md#place_restriction_create) | **POST** /access-control/place_restriction/ | 
*PlaceRestrictionApi* | [**place_restriction_destroy**](docs/PlaceRestrictionApi.md#place_restriction_destroy) | **DELETE** /access-control/place_restriction/{id}/ | 
*PlaceRestrictionApi* | [**place_restriction_list**](docs/PlaceRestrictionApi.md#place_restriction_list) | **GET** /access-control/place_restriction/ | 
*PlaceRestrictionApi* | [**place_restriction_partial_update**](docs/PlaceRestrictionApi.md#place_restriction_partial_update) | **PATCH** /access-control/place_restriction/{id}/ | 
*PlaceRestrictionApi* | [**place_restriction_retrieve**](docs/PlaceRestrictionApi.md#place_restriction_retrieve) | **GET** /access-control/place_restriction/{id}/ | 
*ProviderApi* | [**provider_config_list**](docs/ProviderApi.md#provider_config_list) | **GET** /access-control/provider/config/ | 
*ProviderApi* | [**provider_config_partial_update**](docs/ProviderApi.md#provider_config_partial_update) | **PATCH** /access-control/provider/config/{id}/ | 
*ProviderApi* | [**provider_config_retrieve**](docs/ProviderApi.md#provider_config_retrieve) | **GET** /access-control/provider/config/{id}/ | 
*VisitorApi* | [**visitor_create**](docs/VisitorApi.md#visitor_create) | **POST** /access-control/visitor/ | 
*VisitorApi* | [**visitor_destroy**](docs/VisitorApi.md#visitor_destroy) | **DELETE** /access-control/visitor/{id}/ | 
*VisitorApi* | [**visitor_list**](docs/VisitorApi.md#visitor_list) | **GET** /access-control/visitor/ | 
*VisitorApi* | [**visitor_partial_update**](docs/VisitorApi.md#visitor_partial_update) | **PATCH** /access-control/visitor/{id}/ | 
*VisitorApi* | [**visitor_retrieve**](docs/VisitorApi.md#visitor_retrieve) | **GET** /access-control/visitor/{id}/ | 
*VisitorAccessRightApi* | [**visitor_access_right_create**](docs/VisitorAccessRightApi.md#visitor_access_right_create) | **POST** /access-control/visitor_access_right/ | 
*VisitorAccessRightApi* | [**visitor_access_right_destroy**](docs/VisitorAccessRightApi.md#visitor_access_right_destroy) | **DELETE** /access-control/visitor_access_right/{id}/ | 
*VisitorAccessRightApi* | [**visitor_access_right_list**](docs/VisitorAccessRightApi.md#visitor_access_right_list) | **GET** /access-control/visitor_access_right/ | 
*VisitorAccessRightApi* | [**visitor_access_right_partial_update**](docs/VisitorAccessRightApi.md#visitor_access_right_partial_update) | **PATCH** /access-control/visitor_access_right/{id}/ | 
*VisitorAccessRightApi* | [**visitor_access_right_retrieve**](docs/VisitorAccessRightApi.md#visitor_access_right_retrieve) | **GET** /access-control/visitor_access_right/{id}/ | 
*VisitorRestrictionApi* | [**visitor_restriction_create**](docs/VisitorRestrictionApi.md#visitor_restriction_create) | **POST** /access-control/visitor_restriction/ | 
*VisitorRestrictionApi* | [**visitor_restriction_destroy**](docs/VisitorRestrictionApi.md#visitor_restriction_destroy) | **DELETE** /access-control/visitor_restriction/{id}/ | 
*VisitorRestrictionApi* | [**visitor_restriction_list**](docs/VisitorRestrictionApi.md#visitor_restriction_list) | **GET** /access-control/visitor_restriction/ | 
*VisitorRestrictionApi* | [**visitor_restriction_partial_update**](docs/VisitorRestrictionApi.md#visitor_restriction_partial_update) | **PATCH** /access-control/visitor_restriction/{id}/ | 
*VisitorRestrictionApi* | [**visitor_restriction_retrieve**](docs/VisitorRestrictionApi.md#visitor_restriction_retrieve) | **GET** /access-control/visitor_restriction/{id}/ | 
*WebhooksApi* | [**webhooks_kisi_place_create**](docs/WebhooksApi.md#webhooks_kisi_place_create) | **POST** /access-control/webhooks/kisi/place/ | 
*WebhooksApi* | [**webhooks_kisi_place_destroy**](docs/WebhooksApi.md#webhooks_kisi_place_destroy) | **DELETE** /access-control/webhooks/kisi/place/ | 
*WebhooksApi* | [**webhooks_kisi_visitor_create**](docs/WebhooksApi.md#webhooks_kisi_visitor_create) | **POST** /access-control/webhooks/kisi/visitor/ | 
*WebhooksApi* | [**webhooks_kisi_visitor_destroy**](docs/WebhooksApi.md#webhooks_kisi_visitor_destroy) | **DELETE** /access-control/webhooks/kisi/visitor/ | 


## Documentation For Models

 - [KisiPlace](docs/KisiPlace.md)
 - [KisiVisitor](docs/KisiVisitor.md)
 - [PaginatedPlaceList](docs/PaginatedPlaceList.md)
 - [PaginatedPlaceRestrictionList](docs/PaginatedPlaceRestrictionList.md)
 - [PaginatedProviderConfigList](docs/PaginatedProviderConfigList.md)
 - [PaginatedVisitorAccessRightList](docs/PaginatedVisitorAccessRightList.md)
 - [PaginatedVisitorList](docs/PaginatedVisitorList.md)
 - [PaginatedVisitorRestrictionList](docs/PaginatedVisitorRestrictionList.md)
 - [PatchedPlace](docs/PatchedPlace.md)
 - [PatchedPlaceRestriction](docs/PatchedPlaceRestriction.md)
 - [PatchedProviderConfig](docs/PatchedProviderConfig.md)
 - [PatchedVisitor](docs/PatchedVisitor.md)
 - [PatchedVisitorAccessRight](docs/PatchedVisitorAccessRight.md)
 - [PatchedVisitorRestriction](docs/PatchedVisitorRestriction.md)
 - [Place](docs/Place.md)
 - [PlaceRestriction](docs/PlaceRestriction.md)
 - [ProviderConfig](docs/ProviderConfig.md)
 - [ProviderTypeEnum](docs/ProviderTypeEnum.md)
 - [TokenObtainPair](docs/TokenObtainPair.md)
 - [TokenRefresh](docs/TokenRefresh.md)
 - [TokenVerify](docs/TokenVerify.md)
 - [Visitor](docs/Visitor.md)
 - [VisitorAccessRight](docs/VisitorAccessRight.md)
 - [VisitorRestriction](docs/VisitorRestriction.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="jwtAuth"></a>
### jwtAuth

- **Type**: Bearer authentication (JWT)


## Author




